Subject: bug#18360: Modularize recent qsort_r additions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Aug 2014 10:29:44 +0300

> Date: Fri, 29 Aug 2014 13:58:01 -0700
> From: Paul Eggert <[email-masked]>
> 
> The recent changes to have Emacs use qsort_r look good except for the 
> forest of #ifdefs in Emacs proper.  Attached is a proposed patch to 
> migrate that stuff into Gnulib.  As usual most of this patch is 
> automatically generated; fns.c contains the crucial hand-generated 
> stuff.  I have not tested this on Microsoft Windows and so am posting it 
> here first to give Eli a heads-up.

Why is it a good idea to use qsort_r?  It's evidently not portable
enough, and its benefits for Emacs at this time are nil, AFAICT.

I say let's wait until we really need a reentrant sort function, and
introduce it then.  qsort is good enough for us for now.